%define ver_major 2.26
%def_disable static
%def_enable alsa
%def_disable esd
%def_enable gstreamer
%def_enable pulseaudio

%define _libexecdir %_prefix/libexec

Name: gnome-settings-daemon
Version: %ver_major.1
Release: alt1

Summary: A program that manages general GNOME settings
License: GPLv2+
Group: Graphical desktop/GNOME
Packager: GNOME Maintainers Team <gnome at packages.altlinux.org>

Url: http://gnome.org
Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2

# Fedora patches
# http://bugzilla.redhat.com/474758
Patch10: %name-2.24.0-catch-deviceadded.patch

PreReq: GConf

# From configure.ac
%define dbus_glib_ver 0.74
%define glib2_ver 2.17.3
%define gtk_ver 2.10.0
%define gconf_ver 2.6.1
%define libglade_ver 2.0.0
%define gio_ver 2.17.3
%define gnome_desktop_ver 2.25.90
%define libgnomekbd_ver 2.21.4
%define libxklavier_ver 3.8
%define notify_ver 0.4.3
%define pulse_ver 0.9.11

# From configure.ac
BuildPreReq: libdbus-glib-devel >= %dbus_glib_ver
BuildPreReq: glib2-devel >= %glib2_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libGConf-devel >= %gconf_ver
BuildPreReq: libgio-devel >= %gio_ver
BuildPreReq: libglade-devel >= %libglade_ver
BuildPreReq: libgnome-desktop-devel >= %gnome_desktop_ver
BuildPreReq: libgnomekbd-devel >= %libgnomekbd_ver
BuildPreReq: libxklavier-devel >= %libxklavier_ver
BuildPreReq: libnotify-devel >= %notify_ver
%{?_enable_alsa:BuildPreReq: libalsa-devel >= 0.9.0}
%{?_enable_esd:BuildPreReq: esound-devel >= 0.2.28}
%{?_enable_gstreamer:BuildPreReq: gstreamer-devel >= 0.10.1.2 gst-plugins-devel >= 0.10.1.2}
%{?_enable_pulseaudio:BuildPreReq: libpulseaudio-devel >= %pulse_ver}

BuildPreReq: rpm-build-gnome intltool
BuildRequires: gcc-c++ imake libXi-devel libXrandr-devel libXxf86misc-devel xorg-cf-files

%description
GNOME Settings Daemon is a program that organizes access to general GNOME
settings. Other GNOME programs may interact with gnome-settings-daemon to
obtain or change some settings. One of the most prominent examples of a g-s-d
client is GNOME Control Center, another one is Evolution.

%package devel
Summary: GNOME Settings Daemon development files
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%prep
%setup -q
%patch10 -p1 -b .catch-deviceadded

%build
intltoolize --copy --force
%autoreconf
%configure \
	%{subst_enable static} \
	--disable-schemas-install

%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang --with-gnome %name

%define gsd_schemas apps_gnome_settings_daemon_keybindings apps_gnome_settings_daemon_screensaver apps_gnome_settings_daemon_xrandr desktop_gnome_font_rendering desktop_gnome_keybindings gnome-settings-daemon

%post
%gconf2_install %gsd_schemas

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %gsd_schemas
fi

%files -f %name.lang
%doc AUTHORS COPYING NEWS
%config %gconf_schemasdir/*
%_sysconfdir/xdg/autostart/gnome-settings-daemon.desktop
%_libdir/gnome-settings-daemon-2.0
%_libexecdir/gnome-settings-daemon
%_datadir/gnome-settings-daemon
%_datadir/dbus-1/services/org.gnome.SettingsDaemon.service
%_datadir/gnome-control-center/keybindings/50-accessibility.xml
%_iconsdir/hicolor/*/*/*.png
%_iconsdir/hicolor/*/*/*.svg
%exclude %_libdir/gnome-settings-daemon-2.0/*.la

%files devel
%_includedir/*
%_pkgconfigdir/*

%changelog
* Tue Apr 14 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.1-alt1
- 2.26.1

* Mon Mar 16 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt1
- 2.26.0

* Tue Mar 03 2009 Yuri N. Sedunov <aris@altlinux.org> 2.25.92-alt1
- 2.25.92
- removed upstreamed patches

* Fri Feb 06 2009 Yuri N. Sedunov <aris@altlinux.org> 2.25.90-alt1
- 2.25.90
- removed upstreamed patches

* Fri Jan 23 2009 Yuri N. Sedunov <aris@altlinux.org> 2.25.3-alt1
- 2.25.3
- applied current Fedora patches
- updated buildreqs
- updated schemas list

* Mon Dec 29 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt2
- updated buildreqs

* Tue Nov 25 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt1
- 2.24.1
- updated buildreqs

* Sat Oct 25 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.0-alt4
- rebuild against libgnomekbd.so.3

* Thu Oct 02 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.0-alt3
- add apps_gnome_settings_daemon_xrandr to schemas list

* Wed Oct 01 2008 Alexey Shabalin <shaba@altlinux.ru> 2.24.0-alt2
- define libexec dir as /usr/libexec

* Sun Sep 28 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.0-alt1
- 2.24.0
- new patchset from Fedora

* Wed Aug 13 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.2.1-alt1
- 2.22.2.1
- import patches from fedora
- build with pulseaudio support

* Fri Mar 21 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt2
- check /desktop/gnome/sound/enable_esd for enable/disable esd (patch0)

* Tue Mar 18 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt1.1
- build for Sisyphus
- patch2 from RH: don't set keyboard model on startup from gconf if evdev is being used.
  Evdev needs to use its own keyboard model to work right.

* Sun Mar 09 2008 Alexey Shabalin <shaba@altlinux.ru> 2.21.92-alt1
- First build for Sisyphus.

